// --------------------------------------------------------------------
// >>>>>>>>>>>>>>>>>>>>>>>>> COPYRIGHT NOTICE <<<<<<<<<<<<<<<<<<<<<<<<<
// --------------------------------------------------------------------
// Module: Picture_display
// 
// Author: Step
// 
// Description: Picture_display
// 
// Web: www.stepfpga.com
//
// --------------------------------------------------------------------
// Code Revision History :
// --------------------------------------------------------------------
// Version: |Mod. Date:   |Changes Made:
// V1.1     |2016/10/30   |Initial ver
// --------------------------------------------------------------------
module Picture_display
(
input					clk_in,				// system clock
input					rst_n_in,			// system reset, active low
	
output					lcd_rst_n_out,		// lcd reset
output					lcd_bl_out,			// lcd backlight
output					lcd_dc_out,			// data or commond control
output					lcd_clk_out,		// SPI clock
output					lcd_data_out		// Master out slave in
);

wire			ram_clk_en;
wire	[7:0]	ram_addr;
wire	[132:0]	ram_data;
LCD_RGB LCD_RGB_uut
(
.clk_in					(clk_in			),	// system clock
.rst_n_in				(rst_n_in		),	// system reset, active low

.ram_lcd_clk_en			(ram_clk_en		),
.ram_lcd_addr			(ram_addr		),
.ram_lcd_data			(ram_data		),

.lcd_rst_n_out			(lcd_rst_n_out	),
.lcd_bl_out				(lcd_bl_out		),
.lcd_dc_out				(lcd_dc_out		),
.lcd_clk_out			(lcd_clk_out	),	// SPI clock
.lcd_data_out			(lcd_data_out	)	// Master out slave in
);

LCD_RAM LCD_RAM_uut
(
.Clock					(clk_in			), 
.ClockEn				(ram_clk_en		), 
.Reset					(!rst_n_in		), 
.WE						(1'b0			), 
.Address				(ram_addr		), 
.Data					(132'b0			), 
.Q						(ram_data		)
);

endmodule
